<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for scheduler in scheduler package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  scheduler module in scheduler package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Scheduler',
    'names' => 'Schedulers',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Schedulers',
        'sub' => 'Schedulers'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Processing',
                    'value'  => 'Processing',
                    'text'   => 'Processing',
                ],
                                
                [
                    'key'    => 'Finished',
                    'value'  => 'Finished',
                    'text'   => 'Finished',
                ],
                                
                [
                    'key'    => 'Cancelled',
                    'value'  => 'Cancelled',
                    'text'   => 'Cancelled',
                ],
                                
                [
                    'key'    => 'Failed',
                    'value'  => 'Failed',
                    'text'   => 'Failed',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'batch_id'                   => 'Please enter batch id',
        'subscription_id'            => 'Please enter subscription id',
        'module'                     => 'Please enter module',
        'type'                       => 'Please enter type',
        'status'                     => 'Please select status',
        'file'                       => 'Please enter file',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'batch_id'                   => 'Batch id',
        'subscription_id'            => 'Subscription id',
        'module'                     => 'Module',
        'type'                       => 'Type',
        'status'                     => 'Status',
        'file'                       => 'File',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
