<?php

namespace Assetise\Scheduler\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Assetise\Scheduler\Models\Scheduler;


class SchedulerAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'assetise.scheduler.scheduler';
    protected $eventClass = \Assetise\Scheduler\Events\SchedulerAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Scheduler $scheduler, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $scheduler;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Scheduler $scheduler, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $scheduler = $scheduler->create($attributes);
        return $scheduler;
    }

    public function update(Scheduler $scheduler, array $request)
    {
        $attributes = $request;
        $scheduler->update($attributes);
        return $scheduler;
    }

    public function destroy(Scheduler $scheduler, array $request)
    {
        $scheduler->delete();
        return $scheduler;
    }

    public function copy(Scheduler $scheduler, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $scheduler = $scheduler->replicate();
            $scheduler->created_at = Carbon::now();
            $scheduler->save();
            return $scheduler;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $scheduler->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $scheduler;
    }


}
