<?php

namespace Assetise\Scheduler\Policies;

use Assetise\Scheduler\Models\Scheduler;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait SchedulerWorkflow
{

    /**
     * Determine if the given user can approve the given scheduler.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Scheduler $scheduler)
    {
        if ($user->canDo('scheduler.scheduler.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given scheduler.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Scheduler $scheduler)
    {
        if ($user->canDo('scheduler.scheduler.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given scheduler.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Scheduler $scheduler)
    {
        if ($user->canDo('scheduler.scheduler.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given scheduler.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Scheduler $scheduler)
    {
        if ($user->canDo('scheduler.scheduler.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given scheduler.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Scheduler $scheduler)
    {
        if ($user->canDo('scheduler.scheduler.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given scheduler.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Scheduler $scheduler)
    {
        if ($user->canDo('scheduler.scheduler.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given scheduler.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Scheduler $scheduler)
    {
        if ($user->canDo('scheduler.scheduler.reject')) {
            return true;
        }

        return false;
    }

}
