<?php

namespace Assetise\Scheduler\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Assetise\Scheduler\Events\SchedulerAction;
use Assetise\Scheduler\Events\SchedulerWorkflow;
use Assetise\Scheduler\Listeners\SchedulerAction as SchedulerActionListener;
use Assetise\Scheduler\Listeners\SchedulerWorkflow as SchedulerWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        SchedulerAction::class => [
            SchedulerActionListener::class,
        ],
        SchedulerWorkflow::class => [
            SchedulerWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
